
<!-- ![poster](https://raw.githubusercontent.com/deltazefiro/ImageHost/master/amarok-169-poster.png) -->

# Amarok-Hider

[![](https://img.shields.io/visual-studio-app-center/releases/version/deltazefiro/Amarok/2e57e3f726f6bdf0b9bd5e3791bd2c5d1ab1dbe2?color=blue&label=AppCenter)](https://install.appcenter.ms/users/deltazefiro/apps/amarok/distribution_groups/public) 
[![](https://img.shields.io/github/v/release/deltazefiro/Amarok-Hider?label=GithubRelease)](https://github.com/deltazefiro/Amarok-Hider/releases) 
[![](https://img.shields.io/f-droid/v/deltazero.amarok.foss?color=blue)](https://f-droid.org/zh_Hans/packages/deltazero.amarok.foss/) 
[![](https://img.shields.io/endpoint?url=https://apt.izzysoft.de/fdroid/api/v1/shield/deltazero.amarok.foss&color=orange)](https://apt.izzysoft.de/fdroid/index/apk/deltazero.amarok.foss) 

🌐 **ENGLISH** | [简体中文](https://github.com/deltazefiro/Amarok-Hider/blob/main/README.zh.md)

## What is Amarok?


Amarok is an Android application which enables you to hide your private files & apps with a single click.

> Often, we resort to complex encryptors to secure our files and apps, aiming to shield them from prying eyes. These encryptors, while effective, tend to be slow and resource-intensive, making the encryption of large files such as videos and music a daunting task. Despite their robust security, these methods are often overkill for the average user who simply wish to keep their private files and apps out of unintentional reach.  

Amarok is designed to be a light-weight hider for files and applications:
- It disguises file names and headers, causing them to seem "corrupted" and unopenable.
- Amarok deactivates applications, rendering them invisible in the launcher and system menu.


## Features

- **User-Friendly**: Easily hide files and applications with a single click.
- **Rapid and Efficient Large File Hiding**: Hides by altering only file name and signature, unaffected by file size.
- **Root-Free Application Hiding**: Makes apps vanish from the launcher. Compatible with Root, Shizuku, Dhizuku, and DSM modes.
- **Panic button**: Use a floating button to quickly hide applications and files in urgent scenarios.
- **Quick Settings Tile**: A control center toggle for immediate hiding, bypassing the need to launch the app.
- **App Lock**: Secure Amarok access with a password or fingerprint.
- **Pleasant Interface**: Clean and attractive Material3 design.  


> [!IMPORTANT]  
> Please aware that Amarok is not an encryption software, but rather a tool for hiding things. We strongly advise against using Amarok to protect confidential files and applications.


## Screenshots

<table>
  <tr>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/b3fe6b18-cb3e-488b-81cb-ff5ed005664b" alt="Image 1"></td>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/1a6f147c-286a-428c-9470-a469b4dd9f4e" alt="Image 2"></td>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/9b61b94f-26f2-4457-b189-93c75a09e7d5" alt="Image 3"></td>
  </tr>
  <tr>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/9ef70932-c242-4cc6-a84d-5b14ddf8a814" alt="Image 4"></td>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/3702143d-dac5-435d-9615-323ada02c63e" alt="Image 5"></td>
    <td><img src="https://github.com/deltazefiro/Amarok-Hider/assets/41465688/a2016488-0c13-4144-93ed-5ca35179df79" alt="Image 6"></td>
  </tr>
</table>


## Download


[![](https://img.shields.io/visual-studio-app-center/releases/version/deltazefiro/Amarok/2e57e3f726f6bdf0b9bd5e3791bd2c5d1ab1dbe2?color=blue&label=AppCenter)](https://install.appcenter.ms/users/deltazefiro/apps/amarok/distribution_groups/public)  
[![](https://img.shields.io/github/v/release/deltazefiro/Amarok-Hider?label=GithubRelease)](https://github.com/deltazefiro/Amarok-Hider/releases)  
[![](https://img.shields.io/f-droid/v/deltazero.amarok.foss?color=blue)](https://f-droid.org/zh_Hans/packages/deltazero.amarok.foss/) (FOSS)  
[![](https://img.shields.io/endpoint?url=https://apt.izzysoft.de/fdroid/api/v1/shield/deltazero.amarok.foss&color=orange)](https://apt.izzysoft.de/fdroid/index/apk/deltazero.amarok.foss)  (FOSS) (Pre-release channel)


## Usage
[![](https://img.shields.io/badge/AmarokDocs-ClickToView-brightgreen)](https://deltazefiro.github.io/Amarok-doc/en-US/)  


## Contributing
Thank you for dedicating your time in contributing to this project!
Contributions in all forms are welcomed, including reporting bugs, proposing new features, performing language translations, and submitting code development PRs.

We use [weblate](https://hosted.weblate.org/engage/amarok-hider/) for translations.  

<a href="https://hosted.weblate.org/engage/amarok-hider/">
<img src="https://hosted.weblate.org/widgets/amarok-hider/-/multi-auto.svg" alt="Translation status" />
</a>

## Credits

Many thanks to:

- ~~[heruoxin/Icebox-SDK](https://github.com/heruoxin/IceBox-SDK), Unknown License~~
- ~~[Sheep-y/Base85](https://github.com/Sheep-y/Base85/), [Apache v2](https://github.com/Sheep-y/Base85/blob/master/LICENSE) License~~
- [aistra0528/Hail](https://github.com/aistra0528/Hail), for providing code reference for the app hider.
- [Icongeek26](https://www.flaticon.com/authors/icongeek26) & 
[Freepik](), for the icons
- [Jetbrains](https://www.jetbrains.com/community/opensource/#support), provides IDE support for open source projects
- [RikkaApps/Shizuku](https://github.com/RikkaApps/Shizuku)
- [iamr0s/Dhizuku](https://github.com/iamr0s/Dhizuku)
- [kizitonwose/Calendar](https://github.com/kizitonwose/Calendar)

... and all the dedicated contributors!  

<a href="https://github.com/deltazefiro/Amarok-Hider/graphs/contributors">
<img src="https://contrib.rocks/image?repo=deltazefiro/Amarok-Hider" />
</a>  


## Disclaimers
<u>**Amarok is provided without any warranties or conditions. The user is fully responsible for any harm or consequences that may arise from using Amarok.**</u>
